/* If you need to override desktop styles for smaller screens */

/* XXL devices (larger desktops, 1440px and up) */
@media (min-width: 1440px) { 
  /* Keep your existing desktop styles here */
  .container{
    max-width: 80vw;
  }
}

/* Large devices (laptops/desktops, 1200px - 1439px) */
@media (max-width: 1439px) { 
  /* Adjustments for slightly smaller desktops */
  
}

/* Medium devices (landscape tablets, 992px - 1199px) */
@media (max-width: 1199px) { 
  /* Adjustments for small laptops */
  
}

/* Small devices (portrait tablets, 768px - 991px) */
@media (max-width: 991.99px) { 
  /* Adjustments for tablets */

}

/* Extra small devices (phones, 576px - 767px) */
@media (max-width: 768px) { 
  /* Adjustments for large phones */
  .navbar{
    padding: 1rem 0;
  }
  .banner{
    /* padding-top: 15rem; */
    text-align: center;
  }
  .banner h1, .story h2, .products h2, .blocks h2, .contact h2,
  .story h2 span, .products h2 span, .blocks h2 span, .contact h2 span{
    font-size: 3rem;
  }
  .products, .blocks{
    padding: 2.5rem 0;
  }
  .story .corner-shape{
    z-index: -1;
  }
  .parameter-table{
    width: 100%;
  }
  .parameter-table th{
    font-size: 1.3rem;
  }
  .parameter-table td{
    font-size: 1.1rem;
  }
  .contact iframe{
    width: 100%;
  }
  #navbarNav{
    background: #dfdfdf;
    z-index: 9;
  }
  .navbar-nav{
    gap:0;
    padding: 1rem;
  }
}

/* Mobile devices (phones, 425px - 575px) */
@media (max-width: 575.99px) { 
  /* Adjustments for medium phones */
  .banner h1, .story h2, .products h2, .blocks h2, .contact h2, .story h2 span, .products h2 span, .blocks h2 span, .contact h2 span{
    font-size: 2.5rem;
  }
  .banner h3{
    font-size: 1.5rem;
  }
  .btn-cmn{
    font-size: 1rem;
  }
}

/* Small mobile devices (phones, 375px - 424px) */
@media (max-width: 428px) { 
  /* Adjustments for small phones */
  p{
    font-size: 1.1rem;
  }
  .banner{
    padding-top: 0rem;
  }
  .parameter-table th, .parameter-table td{
    font-size: 1rem;
  }
  .contact-box p{
    font-size: 1.2rem;
  }
  .products .product-img{
    height: 200px;
  }
  .products .product-img img{
    width: auto;
    height: 50%;
  }
}

/* Very small mobile devices (phones, 320px - 374px) */
@media (max-width: 374px) { 
  /* Adjustments for very small phones */
  
}